Name:           perl-Net-Lite-FTP
Version:        0.61
Release:        10%{?dist}
Summary:        Perl FTP client with support for TLS
BuildArch:      noarch

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-Lite-FTP/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EY/EYCK/Net-Lite-FTP-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker) perl(Test::More) perl(Net::SSLeay)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Very simple FTP client with support for TLS


%prep
%setup -q -n Net-Lite-FTP-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.61-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.61-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.61-3
- Removed uneeded line in build

* Mon Aug 15 2011 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.61-2
- Removed uneeded parts

* Sat Aug 13 2011 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.61-1
- Changed to version 0.61 and added doc files

* Sat Aug 13 2011 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.54-1
- Spec file creation

